org.jboss.jca.core.workmanager

## Class WorkManagerStatisticsImpl

- java.lang.Object
- - org.jboss.jca.core.workmanager.WorkManagerStatisticsImpl

- All Implemented Interfaces:
    org.jboss.jca.core.api.workmanager.WorkManagerStatistics

      public class WorkManagerStatisticsImpl
      extends java.lang.Object
      implements org.jboss.jca.core.api.workmanager.WorkManagerStatistics

  The JBoss work manager statistics implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkManagerStatisticsImpl()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear the statistics
    `int` | `getDoWorkAccepted()` DoWork: Accepted
    `int` | `getDoWorkRejected()` DoWork: Rejected
    `int` | `getScheduleWorkAccepted()` ScheduleWork: Accepted
    `int` | `getScheduleWorkRejected()` ScheduleWork: Rejected
    `int` | `getStartWorkAccepted()` StartWork: Accepted
    `int` | `getStartWorkRejected()` StartWork: Rejected
    `int` | `getWorkActive()` Work: Active
    `int` | `getWorkFailed()` Work: Failed
    `int` | `getWorkSuccessful()` Work: Successful
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkManagerStatisticsImpl

          public WorkManagerStatisticsImpl()

      Constructor

  - ### Method Detail

    - #### getWorkActive

          public int getWorkActive()

      Work: Active
      Specified by:
        `getWorkActive` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getWorkSuccessful

          public int getWorkSuccessful()

      Work: Successful
      Specified by:
        `getWorkSuccessful` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getWorkFailed

          public int getWorkFailed()

      Work: Failed
      Specified by:
        `getWorkFailed` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getDoWorkAccepted

          public int getDoWorkAccepted()

      DoWork: Accepted
      Specified by:
        `getDoWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getDoWorkRejected

          public int getDoWorkRejected()

      DoWork: Rejected
      Specified by:
        `getDoWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getScheduleWorkAccepted

          public int getScheduleWorkAccepted()

      ScheduleWork: Accepted
      Specified by:
        `getScheduleWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getScheduleWorkRejected

          public int getScheduleWorkRejected()

      ScheduleWork: Rejected
      Specified by:
        `getScheduleWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getStartWorkAccepted

          public int getStartWorkAccepted()

      StartWork: Accepted
      Specified by:
        `getStartWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getStartWorkRejected

          public int getStartWorkRejected()

      StartWork: Rejected
      Specified by:
        `getStartWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### clear

          public void clear()

      Clear the statistics
      Specified by:
        `clear` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)